/*  Secventa de Suma Maxima
	Complexitate: O(n)
	Se da un sir de numere intregi.
	Sa se determine suma maxima a unei segvente.
 */ 
 
#include <fstream>
#include <algorithm>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

const int Dim = 10000, Inf = 1e9; // 1 * 10^9
int a[Dim], n;
int sp[Dim];     // sp[i] = a[1] + a[2] + ... + a[i]

void CitesteSir();
int SumaMaxima();

int main()
{
	// Algoritm complexitate O(n^3)
	CitesteSir();
	fout << SumaMaxima();
	
	return 0;
}

//  a[1]  a[2]  ... a[i - 1] a[i] ..... a[j]

int SumaMaxima() // O(n)
{
	int s_max = -Inf;
	int s = 0; // suma secvente curente
	for (int i = 1; i <= n; ++i)
		if (s + a[i] >= 0)
		{
			s += a[i]; // 3 + 2 - 4 + 8
			if (s > s_max)
				s_max = s;  // 9
		}
		else
			s = 0;
		
		
	return s_max;
}

void CitesteSir()
{
	fin >> n;
	for (int i = 1; i <= n; ++i)
		fin >> a[i];
}

