/*  Secventa de Suma Maxima
	
	Se da un sir de numere intregi.
	Sa se determine suma maxima a unei segvente.
 */ 
 
#include <fstream>
#include <algorithm>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

const int Dim = 10000, Inf = 1e9; // 1 * 10^9
int a[Dim], n;
int sp[Dim];     // sp[i] = a[1] + a[2] + ... + a[i]

void CitesteSir();
int SumaMaxima();

int main()
{
	// Algoritm complexitate O(n^3)
	CitesteSir();
	fout << SumaMaxima();
	
	return 0;
}

//  a[1]  a[2]  ... a[i - 1] a[i] ..... a[j]
//  s[1]  s[2]      s[i - 1]            s[j] 

int SumaMaxima() // O(n^2)
{
	int s_max = -Inf;
	
	for (int i = 1; i <= n; ++i)     // fixam capatul din stanga al secventei curente
		for (int j = i; j <= n; ++j) // generam capete din dreapta
			s_max = max(s_max, sp[j] - sp[i - 1]);

		
	return s_max;
}

void CitesteSir()
{
	fin >> n;
	for (int i = 1; i <= n; ++i)
	{
		fin >> a[i];
		sp[i] = sp[i - 1] + a[i];
	}
}

