/*  Secventa de Suma Maxima
	Complexitate: O(n)
	Se da un sir de numere intregi.
	Sa se determine suma maxima a unei segvente.
 */ 
 
#include <fstream>
#include <algorithm>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

const int Dim = 10000, Inf = 1e9; // 1 * 10^9

int a[Dim], n;
int i1;     // inceputul secventei curente
int I1, I2;

void CitesteSir();
int SumaMaxima();

int main()
{
	// Algoritm complexitate O(n^3)
	CitesteSir();
	
	int s_max = SumaMaxima();
	
	if (s_max == -Inf)
	{
		for (int i = 1; i <= n; ++i)
			if (a[i] > s_max)
			{
				s_max = a[i];
				I1 = i, I2 = i;
			}
			
		fout << s_max << '\n' << I1 << ' ' << I2;
	}
	else
	{
		fout << s_max << '\n';
	
		for (int i = I1; i <= I2; ++i)
			fout << a[i] << ' ';
	}
	
	return 0;
}

int SumaMaxima() // O(n)
{
	int s_max = -Inf;
	int s = 0; // suma secvente curente
	i1 = 1;
	for (int i = 1; i <= n; ++i)
		if (s + a[i] >= 0)
		{
			s += a[i]; // 3 + 2 - 4 + 8
			if (s > s_max)
			{
				I2 = i;
				I1 = i1;
				s_max = s;  // 9
			}
		}
		else
		{
			s = 0;
			i1 = i + 1;
		}
		
		
	return s_max;
}

void CitesteSir()
{
	fin >> n;
	for (int i = 1; i <= n; ++i)
		fin >> a[i];
}

